#!groovy
def GetLog(url) {
	def link = url.replaceAll("http://","")
	println(link)
    withCredentials([string(credentialsId: 'JenkinsAPI', variable: 'TOKEN')]){
    responce = httpRequest(httpMode: 'GET', url: 'http://admin:$TOKEN@$link/consoleText')
    return responce
	}
}

pipeline {
    agent {
       label 'master'
    }

    stages {
      stage("build project") {
        steps {
          sh 'go build main.go webPage.go'
        }
      }
      stage("deploy docker") {
        steps{
          sh 'docker-compose stop schedule'
          sh 'docker-compose up --build -d'
        }
      } 
    }
    post {
      success {
        echo 'I succeeeded!'
        

      }
      unstable {
        echo 'I am unstable :/'
      }
      failure {
        echo 'I failed :((('
        echo GetLog("${BUILD_URL}")
      }
      changed {
        echo 'things were different before...'
      }
    }

}
